#<profile4xi profile = "12" />
# -------------------------------------------------------------------------------------------------
#<program4xi program = "constant_util4xi.py">
#<abstract4xi abstract = "Provides the class ConstantUtil4Xi"/>
#<refer4xi reference = "util.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------



# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'ConstantUtil4Xi',
            'init_all_util4xi','set_all_util4xi','get_all_util4xi','get_one_constant_util4xi',
            'init_notset_util4xi','get_notset_util4xi','set_notset_util4xi',
            'init_subdebug_util4xi','get_subdebug_util4xi','set_subdebug_util4xi',
            'init_debug_util4xi','get_debug_util4xi','set_debug_util4xi',            
            'init_info_util4xi','get_info_util4xi','set_info_util4xi',            
            'init_subwarning_util4xi','get_subwarning_util4xi','set_subwarning_util4xi',            
            'init_logger_name_util4xi','get_logger_name_util4xi','set_logger_name_util4xi',
            'init_default_logging_format_util4xi','get_default_logging_format_util4xi','set_default_logging_format_util4xi' ]
#"
#/>

# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
try:                 # system ones
    import os
    import sys
    import signal
except:
    pass
try:                 # threading ones       
    import threading                
    import _thread   
except:
    pass
try:
    import _winapi
except:
    pass    
#"
#/>

# -------------------------------------------------------------------------------------------------
# Multiprocessing Imports                          
# -------------------------------------------------------------------------------------------------
#<process4xi process = "
try:                             # Binary ones
    import _multiprocessing
except:
    pass
#"
#/>
     
# -------------------------------------------------------------------------------------------------
# DragonXi imports                              
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from ace_object4xi import ace_object4xi
from print4xi import print4xi
from reason_object4xi import reason_object4xi
from sense_object4xi import sense_object4xi
from time4xi import time4xi
#"
#/>


# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
global NOTSET_UTIL4XI
global SUBDEBUG_UTIL4XI
global DEBUG_UTIL4XI
global INFO_UTIL4XI
global SUBWARNING_UTIL4XI
global LOGGER_NAME_UTIL4XI
global DEFAULT_LOGGING_FORMAT_UTIL4XI
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
NOTSET_UTIL4XI = 0
SUBDEBUG_UTIL4XI = 5
DEBUG_UTIL4XI = 10
INFO_UTIL4XI = 20
SUBWARNING_UTIL4XI = 25
LOGGER_NAME_UTIL4XI = 'multiprocessing4xi'
DEFAULT_LOGGING_FORMAT_UTIL4XI = '[%(levelname)s/%(processName)s] %(message)s]'
#"
#"/>
 
# -------------------------------------------------------------------------------------------------
#<function4xi function = "constant-util4xi" usage = "
# defines utility constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------
def constant_util4xi(param_constant_util4xi):
    '''
    constant_util4xi defines utility constants

    '''

    class2print = 'constant_util4xi'
    method2print = 'constant_util4xi'
    
    message2print = "{started" + "; constant-util4xi-started: " + str(constant_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
          
    message2print = "{passed" + "; param-constant-util4xi-passed-to-constant_util4xi: " + str(param_constant_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
    if param_constant_util4xi == 1:

        message2print = "{returning" + "; NOTSET-UTIL4XI-returning-by-constant-util4xi: " + str(NOTSET_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
            
        return NOTSET_UTIL4XI

    if param_constant_util4xi == 2:

        message2print = "{returning" + "; SUBDEBUG-UTIL4XI-returning-by-constant-util4xi: " + str(SUBDEBUG_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           

        return SUBDEBUG_UTIL4XI

    if param_constant_util4xi == 3:

        message2print = "{returning" + "; DEBUG-UTIL4XI-returning-by-constant-util4xi: " + str(DEBUG_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           

        return DEBUG_UTIL4XI   

    if param_constant_util4xi == 4:

        message2print = "{returning" + "; INFO-UTIL4XI-returning-by-constant-util4xi: " + str(INFO_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           

        return INFO_UTIL4XI         

    if param_constant_util4xi == 5:

        message2print = "{returning" + "; SUBWARNING-UTIL4XI-returning-by-constant-util4xi: " + str(SUBWARNING_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
  
        return SUBWARNING_UTIL4XI
        
    if param_constant_util4xi == 6:
 
        message2print = "{returning" + "; LOGGER-NAME_UTIL4XI-returning-by-constant-util4xi: " + str(LOGGER_NAME_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
  
        return LOGGER_NAME_UTIL4XI

    if param_constant_util4xi == 7:

        message2print = "{returning" + "; DEFAULT-LOGGING_FORMAT_UTIL4XI-returning-by-constant-util4xi: " + str(DEFAULT_LOGGING_FORMAT_UTIL4XI) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
  
        return DEFAULT_LOGGING_FORMAT_UTIL4XI        

    if param_constant_util4xi == 8:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
          
        return None       

    if param_constant_util4xi == 9:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
   
        return None 
        
    if param_constant_util4xi == 10:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
   
        return None                                                      

        
    if param_constant_util4xi == 11:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
           
        return None                                                       
        
    if param_constant_util4xi == 12:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
        return None                                                        
        
    if param_constant_util4xi == 13:
        return None                                                        
        
    if param_constant_util4xi == 14:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
           
        return None                                                        
        
    if param_constant_util4xi == 15:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 16:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                       
        
    if param_constant_util4xi == 17:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                       
        
    if param_constant_util4xi == 18:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 19:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                       
        
    if param_constant_util4xi == 20:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                      
        
    if param_constant_util4xi == 21:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        

    if param_constant_util4xi == 22:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 23:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 24:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 25:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 26:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                       
        
    if param_constant_util4xi == 27:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 28:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 29:
    

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           

        return None                                                        
        
    if param_constant_util4xi == 30:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None                                                        
        
    if param_constant_util4xi == 31:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None 
        
    if param_constant_util4xi == 32:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None            
                          
    if param_constant_util4xi == 33:

        message2print = "{returning" + "; None-returning-by-constant-util4xi: " + str(None) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)           
       
        return None          

    return False        
#</function4xi> 

 
#1#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-notset-util4xi" usage = "
# initializes NOTSET_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_notset_util4xi(param_init_notset_util4xi=0):          
    '''
    init_notset_util4xi initializes NOTSET_UTIL4XI
    '''
    global NOTSET_UTIL4XI

    class2print = 'init_notset_util4xi'
    method2print = 'init_notset_util4xi'
    
    message2print = "{started" + "; init-notset-util4xi-started: " + str(init_notset_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)            
            

    message2print = "{passed" + "; param-init-notset-util4xi-passed-to-init-notset-util4xi: " + str(param_init_notset_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
             

    NOTSET_UTIL4XI = param_init_notset_util4xi

    message2print = "{initialized" + "; notset-util4xi-initialized-by-init-notset-util4xi to: " + str(NOTSET_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
       
    message2print = "{returning" + "; init-notset-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
             
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-notset-util4xi" usage = "
# sets NOTSET_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_notset_util4xi(param_set_notset_util4xi=0):          
    '''
    set_notset_util4xi sets NOTSET_UTIL4XI
    '''
    global NOTSET_UTIL4XI

    class2print = 'set_notset_util4xi'
    method2print = 'set_notset_util4xi'
    
    message2print = "{started" + "; set-notset-util4xi-started: " + str(set_notset_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          

    message2print = "{passed" + "; param-set-notset-util4xi-passed-to-set-notset-util4xi: " + str(param_set_notset_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)  
        
       
    NOTSET_UTIL4XI = param_set_notset_util4xi

    message2print = "{set" + "; notset-util4xi to: " + str(NOTSET_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; set-notset-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
           
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-notset-util4xi" usage = "
# gets NOTSET_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_notset_util4xi():          
    '''
    get_notset_util4xi gets NOTSET_UTIL4XI
    '''
    global NOTSET_UTIL4XI

    class2print = 'get_notset_util4xi'
    method2print = 'get_notset_util4xi'
    
    message2print = "{started" + "; get-notset-util4xi-started: " + str(get_notset_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    message2print = "{returning" + "; notset-util4xi: " + str(NOTSET_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
    
    return NOTSET_UTIL4XI                  
#</function4xi> 

 
#2#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-subdebug-util4xi" usage = "
# initializes SUBDEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_subdebug_util4xi(param_init_subdebug_util4xi=5):          
    '''
    init_subdebug_util4xi initializes SUBDEBUG_UTIL4XI
    '''
    global SUBDEBUG_UTIL4XI

    class2print = 'init_subdebug_util4xi'
    method2print = 'init_subdebug_util4xi'
    
    message2print = "{started" + "; init-subdebug-util4xi-started: " + str(init_subdebug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       

    message2print = "{passed" + "; param-init-subdebug-util4xi: " + str(param_init_subdebug_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    SUBDEBUG_UTIL4XI = param_init_subdebug_util4xi

    message2print = "{initialized" + "; subdebug-util4xi to: " + str(SUBDEBUG_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    
    message2print = "{returning" + "; init-subdebug-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
     
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-subdebug-util4xi" usage = "
# sets SUBDEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_subdebug_util4xi(param_set_subdebug_util4xi=5):          
    '''
    set_subdebug_util4xi sets SUBDEBUG_UTIL4XI
    '''
    global SUBDEBUG_UTIL4XI
 

    class2print = 'set_subdebug_util4xi'
    method2print = 'set_subdebug_util4xi'
    
    message2print = "{started" + "; set-subdebug-util4xi-started: " + str(set_subdebug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

    message2print = "{passed" + "; param-set-subdebug-util4xi: " + str(param_set_subdebug_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    
    SUBDEBUG_UTIL4XI = param_set_subdebug_util4xi
    
    message2print = "{set" + "; subdebug-util4xi to: " + str(SUBDEBUG_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
    message2print = "{returning" + "; set-subdebug-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
#</function4xi> 

          
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-subdebug-util4xi" usage = "
# gets SUBDEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_subdebug_util4xi():          
    '''
    get_subdebug_util4xi gets SUBDEBUG_UTIL4XI
    '''
    global SUBDEBUG_UTIL4XI

    class2print = 'get_subdebug_util4xi'
    method2print = 'get_subdebug_util4xi'    
    
    message2print = "{started" + "; get-subdebug-util4xi-started: " + str(get_subdebug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
  
    message2print = "{returning" + "; subdebug-util4xi: " + str(SUBDEBUG_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return SUBDEBUG_UTIL4XI                  
#</function4xi> 

 
#3#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-debug-util4xi" usage = "
# initializes DEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_debug_util4xi(param_init_debug_util4xi=10):          
    '''
    init_debug_util4xi initializes DEBUG_UTIL4XI
    '''
    global DEBUG_UTIL4XI

    class2print = 'init_debug_util4xi'
    method2print = 'init_debug_util4xi'
    
    message2print = "{started" + "; init-debug-util4xi-started: " + str(init_debug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

    message2print = "{passed" + "; param-init-debug-util4xi: " + str(param_init_debug_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    DEBUG_UTIL4XI = param_init_debug_util4xi

    message2print = "{initialized" + "; debug-util4xi to: " + str(DEBUG_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
   
    message2print = "{returning" + "; init-debug-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-debug-util4xi" usage = "
# sets DEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_debug_util4xi(param_set_debug_util4xi=10):          
    '''
    set_debug_util4xi sets DEBUG_UTIL4XI
    '''
    global DEBUG_UTIL4XI

    class2print = 'set_debug_util4xi'
    method2print = 'set_debug_util4xi'
    
    message2print = "{started" + "; set-debug-util4xi-started: " + str(set_debug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          

    message2print = "{passed" + "; param-set-debug-util4xi: " + str(param_set_debug_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
       
    DEBUG_UTIL4XI = param_set_debug_util4xi

    message2print = "{set" + "; debug-util4xi to: " + str(DEBUG_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; set-debug-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-debug-util4xi" usage = "
# gets DEBUG_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_debug_util4xi():          
    '''
    get_debug_util4xi gets DEBUG_UTIL4XI
    '''
    global DEBUG_UTIL4XI

    class2print = 'get_debug_util4xi'
    method2print = 'get_debug_util4xi'
    
    message2print = "{started" + "; get-debug-util4xi-started: " + str(get_debug_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
      
    message2print = "{returning" + "; debug-util4xi: " + str(DEBUG_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return DEBUG_UTIL4XI                  
#</function4xi> 

 
#4#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-info-util4xi" usage = "
# initializes INFO_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_info_util4xi(param_init_info_util4xi=20):          
    '''
    init_info_util4xi initializes INFO_UTIL4XI
    '''
    global INFO_UTIL4XI

    class2print = 'init_info_util4xi'
    method2print = 'init_info_util4xi'
    
    message2print = "{started" + "; init-info-util4xi-started: " + str(init_info_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          

    message2print = "{passed" + "; param-init-info-util4xi: " + str(param_init_info_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    INFO_UTIL4XI = param_init_info_util4xi

    message2print = "{initialized" + "; info-util4xi to: " + str(INFO_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
    
    message2print = "{returning" + "; init-info-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-info-util4xi" usage = "
# sets INFO_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_info_util4xi(param_set_info_util4xi=20):          
    '''
    set_info_util4xi sets INFO_UTIL4XI
    '''
    global INFO_UTIL4XI

    class2print = 'set_info_util4xi'
    method2print = 'set_info_util4xi'
    
    message2print = "{started" + "; set-info-util4xi-started: " + str(set_info_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         

    message2print = "{passed" + "; param-set-info-util4xi: " + str(param_set_info_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
       
    INFO_UTIL4XI = param_set_info_util4xi

    message2print = "{set" + "; info-util4xi to: " + str(INFO_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; set-info-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-info-util4xi" usage = "
# gets INFO_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_info_util4xi():          
    '''
    get_info_util4xi gets INFO_UTIL4XI
    '''
    global INFO_UTIL4XI

    class2print = 'get_info_util4xi'
    method2print = 'get_info_util4xi'
    
    message2print = "{started" + "; get-info-util4xi-started: " + str(get_info_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    message2print = "{returning" + "; info-util4xi: " + str(INFO_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return INFO_UTIL4XI
#</function4xi> 

                       
#5#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-subwarning-util4xi" usage = "
# initializes SUBWARNING_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_subwarning_util4xi(param_init_subwarning_util4xi=25):          
    '''
    init_subwarning_util4xi initializes SUBWARNING_UTIL4XI
    '''
    global SUBWARNING_UTIL4XI

    class2print = 'init_subwarning_util4xi'
    method2print = 'init_subwarning_util4xi'
    
    message2print = "{started" + "; init-subwarning-util4xi-started: " + str(init_subwarning_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        

    message2print = "{passed" + "; param-init-subwarning-util4xi: " + str(param_init_subwarning_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    SUBWARNING_UTIL4XI = param_init_subwarning_util4xi

    message2print = "{initialized" + "; subwarning-util4xi to: " + str(SUBWARNING_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
   
    message2print = "{returning" + "; init-subwarning-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-subwarning-util4xi" usage = "
# sets SUBWARNING_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_subwarning_util4xi(param_set_subwarning_util4xi=25):          
    '''
    set_subwarning_util4xi sets SUBWARNING_UTIL4XI
    '''
    global SUBWARNING_UTIL4XI

    class2print = 'set_subwarning_util4xi'
    method2print = 'set_subwarning_util4xi'
    
    message2print = "{started" + "; set-subwarning-util4xi-started: " + str(set_subwarning_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)         

    message2print = "{passed" + "; param-set-subwarning-util4xi: " + str(param_set_subwarning_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
       
    SUBWARNING_UTIL4XI = param_set_subwarning_util4xi

    message2print = "{set" + "; subwarning-util4xi to: " + str(SUBWARNING_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; set-subwarning-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-subwarning-util4xi" usage = "
# gets SUBWARNING_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_subwarning_util4xi():          
    '''
    get_subwarning_util4xi gets SUBWARNING_UTIL4XI
    '''
    global SUBWARNING_UTIL4XI

    class2print = 'get_subwarning_util4xi'
    method2print = 'get_subwarning_util4xi'
    
    message2print = "{started" + "; get-subwarning-util4xi-started: " + str(get_subwarning_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)           
      
    message2print = "{returning" + "; subwarning-util4xi: " + str(SUBWARNING_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return SUBWARNING_UTIL4XI                  
#</function4xi> 

 
#6#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-logger-name-util4xi" usage = "
# initializes LOGGER_NAME_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_logger_name_util4xi(param_init_logger_name_util4xi='multiprocessing4xi'):          
    '''
    init_logger_name_util4xi initializes LOGGER_NAME_UTIL4XI
    '''
    global LOGGER_NAME_UTIL4XI

    class2print = 'init_logger_name_util4xi'
    method2print = 'init_logger_name_util4xi'
    
    message2print = "{started" + "; init-logger-name-util4xi-started: " + str(init_logger_name_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)          

    message2print = "{passed" + "; param-init-logger-name-util4xi: " + str(param_init_logger_name_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    LOGGER_NAME_UTIL4XI = param_init_logger_name_util4xi

    message2print = "{initialized" + "; logger-name-util4xi to: " + str(LOGGER_NAME_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    
   
    message2print = "{returning" + "; init-logger-name-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

   
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-logger-name-util4xi" usage = "
# sets LOGGER_NAME_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_logger_name_util4xi(param_set_logger_name_util4xi='multiprocessing4xi'):          
    '''
    set_logger_name_util4xi sets LOGGER_NAME_UTIL4XI
    '''
    global LOGGER_NAME_UTIL4XI

    class2print = 'set_logger_name_util4xi'
    method2print = 'set_logger_name_util4xi'
    
    message2print = "{started" + "; set-logger-name-util4xi-started: " + str(set_logger_name_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        

    message2print = "{passed" + "; param-set-logger-name-util4xi: " + str(param_set_logger_name_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
       
    LOGGER_NAME_UTIL4XI = param_set_logger_name_util4xi

    message2print = "{set" + "; logger-name-util4xi to: " + str(LOGGER_NAME_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
       
    message2print = "{returning" + "; set-logger-name-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-logger-name-util4xi" usage = "
# gets LOGGER_NAME_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_logger_name_util4xi():          
    '''
    get_logger_name_util4xi gets LOGGER_NAME_UTIL4XI
    '''
    global LOGGER_NAME_UTIL4XI

    class2print = 'get_logger_name_util4xi'
    method2print = 'get_logger_name_util4xi'
    
    message2print = "{started" + "; get-logger-name-util4xi-started: " + str(get_logger_name_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
    
    message2print = "{returning" + "; logger-name-util4xi: " + str(LOGGER_NAME_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return LOGGER_NAME_UTIL4XI                  
#</function4xi> 

 
#7#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-default-logging-format-util4xi" usage = "
# initializes DEFAULT_LOGGING_FORMAT_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_default_logging_format_util4xi(param_init_default_logging_format_util4xi='[%(levelname)s/%(processName)s] %(message)s]'):          
    '''
    init_default_logging_format_util4xi initializes DEFAULT_LOGGING_FORMAT_UTIL4XI
    '''
    global DEFAULT_LOGGING_FORMAT_UTIL4XI

    class2print = 'init_default_logging_format_util4xi'
    method2print = 'init_default_logging_format_util4xi'
    
    message2print = "{started" + "; init-default-logging-format-util4xi-started: " + str(init_default_logging_format_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        

    message2print = "{passed" + "; param-init-default-logging_format_util4xi: " + str(param_init_default_logging_format_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
      
    DEFAULT_LOGGING_FORMAT_UTIL4XI = param_init_default_logging_format_util4xi

    message2print = "{initialized" + "; default-logging-format-util4xi to: " + str(DEFAULT_LOGGING_FORMAT_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)    

    message2print = "{returning" + "; init-default-logging-format-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)      
#</function4xi> 

      

# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-default-logging-format-util4xi" usage = "
# sets DEFAULT_LOGGING_FORMAT_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_default_logging_format_util4xi(param_set_default_logging_format_util4xi='[%(levelname)s/%(processName)s] %(message)s]'):          
    '''
    set_default_logging_format_util4xi sets DEFAULT_LOGGING_FORMAT_UTIL4XI
    '''
    global DEFAULT_LOGGING_FORMAT_UTIL4XI

    class2print = 'set_default_logging_format_util4xi'
    method2print = 'set_default_logging_format_util4xi'
    
    message2print = "{started" + "; set-default-logging-format-util4xi-started: " + str(set_default_logging_format_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       

    message2print = "{passed" + "; param-set-default-logging-format_util4xi: " + str(param_set_default_logging_format_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
       
    DEFAULT_LOGGING_FORMAT_UTIL4XI = param_set_default_logging_format_util4xi

    message2print = "{set" + "; default-logging-format-util4xi to: " + str(DEFAULT_LOGGING_FORMAT_UTIL4XI)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
    message2print = "{returning" + "; set-default-logging-format-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-default-logging-format-util4xi" usage = "
# gets DEFAULT_LOGGING_FORMAT_UTIL4XI
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_default_logging_format_util4xi():          
    '''
    get_default_logging_format_util4xi gets DEFAULT_LOGGING_FORMAT_UTIL4XI
    '''
    global DEFAULT_LOGGING_FORMAT_UTIL4XI

    class2print = 'get_default_logging_format_util4xi'
    method2print = 'get_default_logging_format_util4xi'
    
    message2print = "{started" + "; get-default-logging-format-util4xi-started: " + str(get_default_logging_format_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)        
    
    message2print = "{returning" + "; default-logging-format-util4xi: " + str(DEFAULT_LOGGING_FORMAT_UTIL4XI) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
       
    return DEFAULT_LOGGING_FORMAT_UTIL4XI                  
#</function4xi> 

 
#All#
# -------------------------------------------------------------------------------------------------
#<function4xi function = "init-all-util4xi" usage = "
# initializes all util constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def init_all_util4xi():          
    '''
    init_all_util4xi initializes all util constants
    '''

    class2print = 'init_all_util4xi'
    method2print = 'init_all_util4xi'
    
    message2print = "{started" + "; init-all-util4xi-started: " + str(init_all_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
   
    init_notset_util4xi()
    init_subdebug_util4xi()
    init_debug_util4xi()
    init_info_util4xi()
    init_subwarning_util4xi()
    init_logger_name_util4xi()
    init_default_logging_format_util4xi()
    
    message2print = "{returning" + "; init-all-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)     
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "set-all-util4xi" usage = "
# sets all util constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def set_all_util4xi():          
    '''
    set_all_util4xi sets all util constants
    '''

    class2print = 'set_all_util4xi'
    method2print = 'set_all_util4xi'
    
    message2print = "{started" + "; set-all-util4xi-started: " + str(set_all_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
   
    set_notset_util4xi()
    set_subdebug_util4xi()
    set_debug_util4xi()
    set_info_util4xi()
    set_subwarning_util4xi()
    set_logger_name_util4xi()
    set_default_logging_format_util4xi()
        
    message2print = "{returning" + "; set-all-util4xi-returning: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)   
#</function4xi> 

       
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-all-util4xi" usage = "
# gets all util constants
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_all_util4xi():          
    '''
    get_all_constant_util4xi gets all util constants
    '''
    # ---------------------------------------------------------------------------------------------
    # could return True after loading an OWL/XML file into memory 
    # ---------------------------------------------------------------------------------------------    

    class2print = 'get_all_util4xi'
    method2print = 'get_all_util4xi'
    
    message2print = "{started" + "; get-all-util4xi-started: " + str(get_all_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     
   
    for i in range(0,34):
        print("constant_util4xi(", i, ") = ", constant_util4xi(i))
    
    message2print = "{returning" + "; true: " + str(True) + "; time: " + time4xi() + "}" 
    print4xi(class2print, method2print, message2print)          
      
    return True
#</function4xi> 

 
#ONE#    
# -------------------------------------------------------------------------------------------------
#<function4xi function = "get-one-constant-util4xi" usage = "
# gets one util constant
#"> 
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# -------------------------------------------------------------------------------------------------    
def get_one_constant_util4xi(param_get_one_constant_util4xi=1):          
    '''
    get_one_constant_util4xi gets one util constant
    '''

    class2print = 'get_one_constant_util4xi'
    method2print = 'get_one_constant_util4xi'
    
    message2print = "{started" + "; get-one-constant-util4xi-started: " + str(get_one_constant_util4xi)  + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)     

    message2print = "{passed" + "; param-get-one-constant-util4xi: " + str(param_get_one_constant_util4xi) + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print)       
    
    if param_get_one_constant_util4xi <= 0 or param_get_one_constant_util4xi > 33:
        param_get_one_constant_util4xi = 33    
    
    message2print = "{returning" + "; function: constant-util4xi" + "; time: " + time4xi() + "}"
    print4xi(class2print, method2print, message2print) 
    
    return constant_util4xi(param_get_one_constant_util4xi)                         
#</function4xi> 

 
# =================================================================================================
# ConstantUtil4Xi class
#<class4xi class = "ConstantUtil4Xi class" base = "object" child = "None" synopsis = "offers services for util constants" usage = "utilities"
#>
#<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
# =================================================================================================
class ConstantUtil4Xi(object): #<-- inherits from object class
    '''
    ConstantUtil4Xi offers services for util constants
    '''            
 
    
    # ---------------------------------------------------------------------------------------------
    # Public API of this class
    # ---------------------------------------------------------------------------------------------    
    #<expose4xi expose = "
    _exposed_ = ('init_all','set_all','get_all','get_one_constant',
                 'init_notset','get_notset','set_notset',
                 'init_subdebug','get_subdebug','set_subdebug',
                 'init_debug','get_debug','set_debug',            
                 'init_info','get_info','set_info',            
                 'init_subwarning','get_subwarning','set_subwarning',            
                 'init_logger_name','get_logger_name','set_logger_name',
                 'init_default_logging_format','get_default_logging_format','set_default_logging_format_util4xi', 
                 'sense', 'reason', 'ace')           
    #"
    #/>
                                 
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-of-ConstantUtil4Xi" usage = "initializes util constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def __init__(self):
        '''
        _init__ method initializes util constants
        '''       

        class2print = 'ConstantUtil4Xi'
        method2print = '__init__'
        
        message2print = "{started" + "; init-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                        
        message2print = "{borning" + "; constantutil2xi-of-ConstantUtil4Xi-borning: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  

        message2print = "{inheriting" + "; object-inheriting-by-constantutil2xi-of-ConstantUtil4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
       
        init_all_util4xi()        

        
        message2print = "{activated" + "; constantutil2xi-of-ConstantUtil4Xi-activated: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)  

        message2print = "{inherited" + "; object-inherited-by-constantutil2xi-of-ConstantUtil4Xi: " + str(object)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
             
        message2print = "{returning" + "; init-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
                        
                
                             
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-all-of-ConstantUtil4Xi" usage = "initializes util constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def init_all(self):
        '''
        init_all method initializes util constants
        '''       

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_all'
        
        message2print = "{started" + "; init-all-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
       
        init_all_util4xi()   
        
        message2print = "{returning" + "; init-all-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
              
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-all-of-ConstantUtil4Xi" usage = "sets all util constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def set_all(self):
        '''
        set_all method sets all util constants
        '''       

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_all'
        
        message2print = "{started" + "; set-all-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
       
        set_all_util4xi()             
        
        message2print = "{returning" + "; set-all-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    #</methodize4xi>
      
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-all-of-ConstantUtil4Xi" usage = "gets all util constants">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_all(self):
        '''
        get_all method gets all util constants
        '''       

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_all'
        
        message2print = "{started" + "; get-all-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        message2print = "{returning" + "; function: get_all_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
        return get_all_util4xi() #prints and returns True   
    #</methodize4xi>
    
    #One
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-one-of-ConstantUtil4Xi" usage = "gets one util constant">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------   
    def get_one(self, get_one_param=1):
        '''
        get_one method gets one util constant
        '''       

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_one'
        
        message2print = "{started" + "; get-one-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
  
        message2print = "{passed" + "; get_one_param: " + str(get_one_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

        message2print = "{returning" + "; function: get_one_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
        return get_one_util4xi(get_one_param) 
    #</methodize4xi>
            
    #1#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-notset-of-ConstantUtil4Xi" usage = "initializes sets NOTSET_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_notset(self, init_notset_param=0):          
        '''
        init_notset initializes sets NOTSET_UTIL4XI 
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_notset'
        
        message2print = "{started" + "; init-notset-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
        
  
        message2print = "{passed" + "; init_notset_param: " + str(init_notset_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_notset_util4xi(init_notset_param)
    
        
        message2print = "{returning" + "; init-notset-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    #</methodize4xi>
          
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-notset-of-ConstantUtil4Xi" usage = "sets NOTSET_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_notset(self, set_notset_param=0):          
        '''
        set_notset sets NOTSET_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_notset'
        
    
        message2print = "{started" + "; set-notset-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
  
        message2print = "{passed" + "; set_notset_param: " + str(set_notset_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_notset_util4xi(set_notset_param)
        
        message2print = "{returning" + "; set-notset-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    #</methodize4xi>
           
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-notset-of-ConstantUtil4Xi" usage = "gets NOTSET_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_notset(self):          
        '''
        get_notset gets NOTSET_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_notset'
    
        message2print = "{started" + "; get-notset-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                

        message2print = "{returning" + "; function: get_notset_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        
        return get_notset_util4xi()
    #</methodize4xi>
                              
    #2#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-subdebug-of-ConstantUtil4Xi" usage = "initializes SUBDEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_subdebug(self, init_subdebug_param=5):          
        '''
        init_subdebug initializes SUBDEBUG_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_subdebug'
    
        message2print = "{started" + "; init-subdebug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; init_subdebug_param: " + str(init_subdebug_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_subdebug_util4xi(init_subdebug_param)
        
        message2print = "{returning" + "; init-subdebug-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
          
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-subdebug-of-ConstantUtil4Xi" usage = "sets SUBDEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_subdebug(self, set_subdebug_param=5):          
        '''
        set_subdebug sets SUBDEBUG_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_subdebug'
        
            
        message2print = "{started" + "; set-subdebug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
  
        message2print = "{passed" + "; set_subdebug_param: " + str(set_subdebug_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_subdebug_util4xi(set_subdebug_param)
        
        
        message2print = "{returning" + "; set-subdebug-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
    #</methodize4xi>
              
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-subdebug-of-ConstantUtil4Xi" usage = "gets SUBDEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_subdebug(self):          
        '''
        get_subdebug gets SUBDEBUG_UTIL4XI
        '''
        

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_subdebug'
    
        message2print = "{started" + "; get-subdebug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
        message2print = "{returning" + "; function: get_subdebug_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    

       
        
        return get_subdebug_util4xi()                   
                  
    #</methodize4xi>
        
    #3#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-debug-of-ConstantUtil4Xi" usage = "initializes DEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_debug(self, init_debug_param=10):          
        '''
        init_debug initializes DEBUG_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_debug'
        
    
        message2print = "{started" + "; init-debug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; init_debug_param: " + str(init_debug_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_debug_util4xi(init_debug_param)
        
        message2print = "{returning" + "; init-debug-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
      
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-debug-of-ConstantUtil4Xi" usage = "sets DEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_debug(self, set_debug_param=10):          
        '''
        set_debug sets DEBUG_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_debug'
            
        message2print = "{started" + "; set-debug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
  
        message2print = "{passed" + "; set_debug_param: " + str(set_debug_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_debug_util4xi(set_debug_param)
        
        
        message2print = "{returning" + "; set-debug-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
              
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-debug-of-ConstantUtil4Xi" usage = "gets DEBUG_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_debug(self):          
        '''
        get_debug gets DEBUG_UTIL4XI
        '''
        

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_debug'
    
        message2print = "{started" + "; get-debug-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
        message2print = "{returning" + "; function: get_debug_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    

       
        
        return get_debug_util4xi()                  
    #</methodize4xi>
        
    #4#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-info-of-ConstantUtil4Xi" usage = "initializes INFO_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_info(self, init_info_param=20):          
        '''
        init_info initializes INFO_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_info'
        
    
        message2print = "{started" + "; init-info-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; init_info_param: " + str(init_info_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_info_util4xi(init_info_param)
        
        
        message2print = "{returning" + "; init-info-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
      
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-info-of-ConstantUtil4Xi" usage = "sets INFO_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_info(self, set_info_param=20):          
        '''
        set_info sets INFO_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_info'
        
    
        message2print = "{started" + "; set-info-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; set_info_param: " + str(set_info_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_info_util4xi(set_info_param)
        
        
        message2print = "{returning" + "; set-info-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
    
    #</methodize4xi>
              
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-info-of-ConstantUtil4Xi" usage = "gets INFO_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_info(self):          
        '''
        get_info gets INFO_UTIL4XI
        '''
        

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_info'
    
        message2print = "{started" + "; get-info-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          

        message2print = "{returning" + "; function: get_info_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
       
        
        return get_info_util4xi()                 
    #</methodize4xi>
        
    #5#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-subwarning-of-ConstantUtil4Xi" usage = "initializes SUBWARNING_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_subwarning(self, init_subwarning_param=25):          
        '''
        init_subwarning initializes SUBWARNING_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_subwarning'
        
    
        message2print = "{started" + "; init-subwarning-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; init_subwarning_param: " + str(init_subwarning_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_subwarning_util4xi(init_subwarning_param)
        
        message2print = "{returning" + "; init-subwarning-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
   
      
    #</methodize4xi>
        
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-subwarning-of-ConstantUtil4Xi" usage = "sets SUBWARNING_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_subwarning(self, set_subwarning_param=25):          
        '''
        set_subwarning sets SUBWARNING_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_subwarning'
        
    
        message2print = "{started" + "; set-subwarning-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; set_subwarning_param: " + str(set_subwarning_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_subwarning_util4xi(set_subwarning_param)
        
        
        message2print = "{returning" + "; set-subwarning-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
 
    #</methodize4xi>
              
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-subwarning-of-ConstantUtil4Xi" usage = "gets SUBWARNING_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_subwarning(self):          
        '''
        get_subwarning gets SUBWARNING_UTIL4XI
        '''
        

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_subwarning'
    
        message2print = "{started" + "; get-subwarning-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
        message2print = "{returning" + "; function: get_subwarning_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    

       
        
        return get_subwarning_util4xi()                 
    #</methodize4xi>
        
    #6#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-logger-name-of-ConstantUtil4Xi" usage = "initializes LOGGER_NAME_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_logger_name(self, init_logger_name_param='multiprocessing4xi'):          
        '''
        init_logger_name initializes LOGGER_NAME_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_logger_name'
    
        message2print = "{started" + "; init-logger-name-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
  
        message2print = "{passed" + "; init_logger_name_param: " + str(init_logger_name_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_logger_name_util4xi(init_logger_name_param)
    
        
        message2print = "{returning" + "; init-logger-name-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
 
    #</methodize4xi>
          
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-logger-name-of-ConstantUtil4Xi" usage = "sets LOGGER_NAME_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_logger_name(self, set_logger_name_param='multiprocessing4xi'):          
        '''
        set_logger_name sets LOGGER_NAME_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_logger_name'
        
    
        message2print = "{started" + "; set-logger-name-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; set_logger_name_param: " + str(set_logger_name_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_logger_name_util4xi(set_logger_name_param)
        
        message2print = "{returning" + "; set-logger-name-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
      
          
    #</methodize4xi>
            
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-logger-name-of-ConstantUtil4Xi" usage = "gets LOGGER_NAME_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_logger_name(self):          
        '''
        get_logger_name gets LOGGER_NAME_UTIL4XI
        '''
        

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_logger_name'
    
        message2print = "{started" + "; get-logger-name-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
          
        message2print = "{returning" + "; function: get_logger_name_util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    

       
        
        return get_logger_name_util4xi()                
    #</methodize4xi>
        
    #7#
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "init-default-logging-format-of-ConstantUtil4Xi" usage = "initializes DEFAULT_LOGGING_FORMAT_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def init_default_logging_format(self, init_default_logging_format_param='[%(levelname)s/%(processName)s] %(message)s]'):          
        '''
        init_default_logging_format initializes DEFAULT_LOGGING_FORMAT_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'init_default_logging_format'
        
    
        message2print = "{started" + "; init-default-logging-format-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passed" + "; init-default-logging-format-param: " + str(init_default_logging_format_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        init_default_logging_format_util4xi(init_default_logging_format_param)
        
        message2print = "{returning" + "; init-default-logging-format-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
  
    #</methodize4xi>
          
    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "set-default-logging-format-of-ConstantUtil4Xi" usage = "sets DEFAULT_LOGGING_FORMAT_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def set_default_logging_format(self, set_default_logging_format_param='[%(levelname)s/%(processName)s] %(message)s]'):          
        '''
        set_default_logging_format sets DEFAULT_LOGGING_FORMAT_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'set_default_logging_format'
        
    
        message2print = "{started" + "; set-default-logging-format-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
                  
  
        message2print = "{passing" + "; set-default-logging-format-param: " + str(set_default_logging_format_param) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       

       
        set_default_logging_format_util4xi(set_default_logging_format_param)
        
        message2print = "{returning" + "; set-default-logging-format-of-ConstantUtil4Xi-returning: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print) 
     
    #</methodize4xi>
                    
    # -------------------------------------------------------------------------------------------------
    #<methodize4xi method = "get-default-logging-format-of-ConstantUtil4Xi" usage = "gets DEFAULT_LOGGING_FORMAT_UTIL4XI">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # -------------------------------------------------------------------------------------------------    
    def get_default_logging_format(self):          
        '''
        get_default_logging_format gets DEFAULT_LOGGING_FORMAT_UTIL4XI
        '''

        class2print = 'ConstantUtil4Xi'
        method2print = 'get_default_logging_format'
    
        message2print = "{started" + "; get-default-logging-format-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                
           
        message2print = "{returning" + "; function: get-default-logging-format-util4xi" + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)    
        
        
        return get_default_logging_format_util4xi()
    #</methodize4xi>
                        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "sense-of-ConstantUtil4Xi" usage = "senses class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def sense(self):
        '''
        method sense: senses class objects
        '''
          
        
        class2print = 'ConstantUtil4Xi'
        method2print = 'sense'
        
        message2print = "{started" + "; sense-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)          
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------  
        message2print = "{sensing" + "; constantutil4xi-sensing-by-sense-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                      
        
        # -----------------------------------------------------------------------------------------
        # get sensed knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb2xi = sense_object4xi(self)
        
        message2print = "{got" + "; kb2xi-got-by-sense-of-ConstantUtil4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # -----------------------------------------------------------------------------------------         
        try:
            kb2xi['inheritance-of-constantutil2xi'] = object
        except:
            message2print = "{yielded" + "; kb2xi-yielded-by-sense-of-ConstantUtil4Xi: " + str(kb2xi)  + "; time: " + time4xi() + "}"
            print4xi(class2print, method2print, message2print) 
        
      
        message2print = "{sensed" + "; constantutil4xi-sensed-by-sense-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)       
        
        # -----------------------------------------------------------------------------------------
        # 
        # -----------------------------------------------------------------------------------------         
        message2print = "{returning" + "; kb2xi-returning-by-sense-of-ConstantUtil4Xi: " + str(kb2xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                 
          
        return kb2xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
    #</methodize4xi>
    
        
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "reason-of-ConstantUtil4Xi" usage = "reasons class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def reason(self):
        '''
        method reason: reasons class objects
        '''
                 
        
        class2print = 'ConstantUtil4Xi'
        method2print = 'reason'

        message2print = "{started" + "; reason-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                  
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{reasoning" + "; constantutil4xi-reasoning-by-reason-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print) 
                
        
        # -----------------------------------------------------------------------------------------
        # get reasoned knowledge for this object
        # -----------------------------------------------------------------------------------------         
        kb4xi = reason_object4xi(self)
        
        
        message2print = "{got" + "; kb4xi-got-by-reason-of-ConstantUtil4Xi: " + str(kb4xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                
        
        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb4xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------          
        
        
          
        
        message2print = "{reasoned" + "; constantutil4xi-reasoned-by-reason-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb4xi-returning-by-reason-of-ConstantUtil4Xi: " + str(kb4xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                             
          
        return kb4xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------            
    #</methodize4xi>
    
    
    # ---------------------------------------------------------------------------------------------
    #<methodize4xi method = "ace-of-ConstantUtil4Xi" usage = "aces class objects">
    #<state4xi status = "ACK4review; ACK4tagging; ACK4moduletesting; NACK4systemtesting"/>
    # ---------------------------------------------------------------------------------------------
    def ace(self):
        '''
        method ace: aces class objects 
        '''
               
        
        
        class2print = 'ConstantUtil4Xi'
        method2print = 'ace'
        
        message2print = "{started" + "; ace-of-ConstantUtil4Xi-started: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)                       
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------
        message2print = "{acing" + "; constantutil4xi-acing-by-ace-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)         
                     
        
        # -----------------------------------------------------------------------------------------
        # get aced knowledge for this object
        # -----------------------------------------------------------------------------------------        
        kb8xi = ace_object4xi(self)  
        
        message2print = "{got" + "; kb8xi-got-by-ace-of-ConstantUtil4Xi: " + str(kb8xi)  + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)
                


        # -----------------------------------------------------------------------------------------
        # add knowledge specific to this object
        # format example: kb8xi['time2xi'] = time4xi() #adding time 
        # -----------------------------------------------------------------------------------------              
        
          
        message2print = "{aced" + "; constantutil4xi-aced-by-ace-of-ConstantUtil4Xi: " + str(ConstantUtil4Xi) + "; time: " + time4xi() + "}"
        print4xi(class2print, method2print, message2print)        
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------        
        message2print = "{returning" + "; kb8xi-returning-by-ace-of-ConstantUtil4Xi: " + str(kb8xi) + "; time: " + time4xi() + "}" 
        print4xi(class2print, method2print, message2print)    
                                   
        
        return kb8xi
        
        # -----------------------------------------------------------------------------------------
        #
        # -----------------------------------------------------------------------------------------                                              
    #</methodize4xi>
#</class4xi>
#</program4xi>
 

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_constant_util4xi.txt
#   sense-test-constant-util4xi.xml
#   reason-test-constant-util4xi.xml
#   ace-test-constant-util4xi.xml
#"
#>


# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>

    
    
  

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of constant_util4xi.py                             
# ------------------------------------------------------------------------------------------------- 
#"
#/>

